<?php

namespace TablesRouter;

class CampaignTarget {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function multistatusURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::multistatusURL2($params);
	
    
  }

  public static function multistatus2URL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::multistatus2URL2($params);
	
    
  }

  public static function multiaddURL($column_target = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['column_target'] = $column_target;
		return self::multiaddURL2($params);
	
    
  }

  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] , $column_target = null , $column_campaign = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['column_target'] = $column_target;$params['column_campaign'] = $column_campaign;
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function interaction1URL($token, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['token'] = $token;
		return self::interaction1URL2($params);
	
    
  }

  public static function interaction2URL($token, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['token'] = $token;
		return self::interaction2URL2($params);
	
    
  }

  public static function massMailSendURL($idlist, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['idlist'] = $idlist;
		return self::massMailSendURL2($params);
	
    
  }

  public static function stateEditURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::stateEditURL2($params);
	
    
  }

  public static function noteEditURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::noteEditURL2($params);
	
    
  }

  public static function multiaddListFop_listURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::multiaddListFop_listURL2($params);
	
    
  }

  public static function multistatusListFop_listURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::multistatusListFop_listURL2($params);
	
    
  }

  public static function multistatus2ListFop_listURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::multistatus2ListFop_listURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function pdfZipURL($ids, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['ids'] = $ids;
		return self::pdfZipURL2($params);
	
    
  }

  public static function pdfURL($id, $attachTo = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;$params['attachTo'] = $attachTo;
		return self::pdfURL2($params);
	
    
  }

  public static function pdfMultiPdfURL($ids, $params = [] , $attachTo = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['ids'] = $ids;$params['attachTo'] = $attachTo;
		return self::pdfMultiPdfURL2($params);
	
    
  }

  public static function campaigntargetUniqueURL($context, $value, $id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['context'] = $context;$params['value'] = $value;$params['id'] = $id;
		return self::campaigntargetUniqueURL2($params);
	
    
  }

  public static function multistatusURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/multistatus';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function multistatus2URL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/multistatus2';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function multiaddURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/multiadd';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'multistatus') ) {
		try {
			$result = \Tables\CampaignTarget::multistatusAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'multistatus2') ) {
		try {
			$result = \Tables\CampaignTarget::multistatus2Action(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'multiadd') ) {
		try {
			$result = \Tables\CampaignTarget::multiaddAction(isset($_GET['column_target']) ? $_GET['column_target'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\CampaignTarget::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\CampaignTarget::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create')  ) {
		try {
			$result = \Tables\CampaignTarget::createAction(isset($_GET['column_target']) ? $_GET['column_target'] : null, isset($_GET['column_campaign']) ? $_GET['column_campaign'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\CampaignTarget::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'interaction1') && isset($_GET['token'])  ) {
		try {
			$result = \Tables\CampaignTarget::interaction1Action($_GET['token']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'interaction2') && isset($_GET['token'])  ) {
		try {
			$result = \Tables\CampaignTarget::interaction2Action($_GET['token']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'massMailSend') && isset($_GET['idlist'])  ) {
		try {
			$result = \Tables\CampaignTarget::massMailSendAction($_GET['idlist']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'stateEdit') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\CampaignTarget::stateEditAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'noteEdit') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\CampaignTarget::noteEditAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'pdfZip') && isset($_GET['ids'])  ) {
		try {
			$result = \Tables\CampaignTarget::pdfZipAction($_GET['ids']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'multiaddListFop_list')  ) {
		try {
			$result = \Tables\CampaignTarget::multiaddListFop_listAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'multistatusListFop_list')  ) {
		try {
			$result = \Tables\CampaignTarget::multistatusListFop_listAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'multistatus2ListFop_list')  ) {
		try {
			$result = \Tables\CampaignTarget::multistatus2ListFop_listAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'pdf') && isset($_GET['id'])   ) {
		try {
			$result = \Tables\CampaignTarget::pdfAction($_GET['id'], isset($_GET['attachTo']) ? $_GET['attachTo'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'campaigntargetUnique') && isset($_GET['context'])   && isset($_GET['value'])   && isset($_GET['id'])  ) {
		try {
			$result = \Tables\CampaignTarget::campaigntargetUniqueAction($_GET['context'], $_GET['value'], $_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'pdfMultiPdf') && isset($_GET['ids'])   ) {
		unset($_GET['attachTo']);
		try {
			$result = \Tables\CampaignTarget::pdfMultiPdfAction($_GET['ids'], isset($_GET['attachTo']) ? $_GET['attachTo'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\CampaignTarget::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\CampaignTarget::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function interaction1URL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/interaction1';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function interaction2URL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/interaction2';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function massMailSendURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/massMailSend';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function stateEditURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/stateEdit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function noteEditURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/noteEdit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function multiaddListFop_listURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/multiaddListFop_list';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function multistatusListFop_listURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/multistatusListFop_list';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function multistatus2ListFop_listURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/multistatus2ListFop_list';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function pdfZipURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/pdfZip';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function pdfURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/pdf';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function pdfMultiPdfURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/pdfMultiPdf';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function campaigntargetUniqueURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/CampaignTarget/campaigntargetUnique';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multistatusAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())) && ((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-edit ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('vOljclgU').' WHERE '.qi('vOljclgU').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('XXDtdS61').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('XXDtdS61').' WHERE '.qi('XXDtdS61').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('YOWPvw9s').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('YOWPvw9s').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('YOWPvw9s').' WHERE '.qi('YOWPvw9s').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Z2wISAZD').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Z2wISAZD').' WHERE '.qi('Z2wISAZD').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: access-itemlist-campaignTarget-view ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('dHL279iX').' WHERE '.qi('dHL279iX').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('fbT2x3zb').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('fbT2x3zb').' WHERE '.qi('fbT2x3zb').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('PmLIw5tN').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('PmLIw5tN').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('PmLIw5tN').' WHERE '.qi('PmLIw5tN').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Ffzcl8KY').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Ffzcl8KY').' WHERE '.qi('Ffzcl8KY').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multistatus2Access($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())) && ((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-edit ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('vOljclgU').' WHERE '.qi('vOljclgU').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('XXDtdS61').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('XXDtdS61').' WHERE '.qi('XXDtdS61').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('YOWPvw9s').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('YOWPvw9s').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('YOWPvw9s').' WHERE '.qi('YOWPvw9s').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Z2wISAZD').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Z2wISAZD').' WHERE '.qi('Z2wISAZD').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: access-itemlist-campaignTarget-view ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('dHL279iX').' WHERE '.qi('dHL279iX').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('fbT2x3zb').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('fbT2x3zb').' WHERE '.qi('fbT2x3zb').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('PmLIw5tN').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('PmLIw5tN').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('PmLIw5tN').' WHERE '.qi('PmLIw5tN').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Ffzcl8KY').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Ffzcl8KY').' WHERE '.qi('Ffzcl8KY').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multiaddAccess($column_target = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('hKxqI7xl').' WHERE '.qi('hKxqI7xl').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('qnAG6U6I').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('qnAG6U6I').' WHERE '.qi('qnAG6U6I').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('MQUST27S').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('MQUST27S').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('MQUST27S').' WHERE '.qi('MQUST27S').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('UZUFh6Y1').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('UZUFh6Y1').' WHERE '.qi('UZUFh6Y1').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('hKxqI7xl').' WHERE '.qi('hKxqI7xl').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('qnAG6U6I').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('qnAG6U6I').' WHERE '.qi('qnAG6U6I').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('MQUST27S').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('MQUST27S').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('MQUST27S').' WHERE '.qi('MQUST27S').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('UZUFh6Y1').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('UZUFh6Y1').' WHERE '.qi('UZUFh6Y1').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess($column_target = null , $column_campaign = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()) && ((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-item-campaign-PZzRYmSJ-column_campaign ---
    
		if ($column_campaign !== null && $column_campaign !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_campaign))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-mitglied-8oS4CA4y-column_target ---
    
		if ($column_target !== null && $column_target !== null && \FOP\Database::query('SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('mitglied').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_target))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-mitglied-aknxOsQe-column_target ---
    
		if ($column_target !== null && $column_target !== null && \FOP\Database::query('SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('mitglied').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('mitglied').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_target))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-mitglied-mDdHq6xV-column_target ---
    
		if ($column_target !== null && $column_target !== null && \FOP\Database::query('SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('mitglied').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_target))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: access-item-mitglied-select-column_target ---
    
		if ($column_target !== null && $column_target !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('mitglied').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_target))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-item-campaignTarget-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('vOljclgU').' WHERE '.qi('vOljclgU').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('XXDtdS61').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('XXDtdS61').' WHERE '.qi('XXDtdS61').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('YOWPvw9s').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('YOWPvw9s').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('YOWPvw9s').' WHERE '.qi('YOWPvw9s').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Z2wISAZD').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Z2wISAZD').' WHERE '.qi('Z2wISAZD').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) FROM '.qi('campaignTarget').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function interaction1Access($token) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function interaction2Access($token) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function massMailSendAccess($idlist) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-is_mail ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($idlist))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: access-itemlist-campaignTarget-view ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('dHL279iX').' WHERE '.qi('dHL279iX').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('fbT2x3zb').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('fbT2x3zb').' WHERE '.qi('fbT2x3zb').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('PmLIw5tN').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('PmLIw5tN').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('PmLIw5tN').' WHERE '.qi('PmLIw5tN').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Ffzcl8KY').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Ffzcl8KY').' WHERE '.qi('Ffzcl8KY').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($idlist))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function stateEditAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && ((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-item-campaignTarget-edit-id ---
    
		if (\FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('vOljclgU').' WHERE '.qi('vOljclgU').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('XXDtdS61').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('XXDtdS61').' WHERE '.qi('XXDtdS61').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('YOWPvw9s').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('YOWPvw9s').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('YOWPvw9s').' WHERE '.qi('YOWPvw9s').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Z2wISAZD').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Z2wISAZD').' WHERE '.qi('Z2wISAZD').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) FROM '.qi('campaignTarget').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function noteEditAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && ((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-item-campaignTarget-edit-id ---
    
		if (\FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('vOljclgU').' WHERE '.qi('vOljclgU').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('XXDtdS61').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('XXDtdS61').' WHERE '.qi('XXDtdS61').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('YOWPvw9s').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('YOWPvw9s').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('YOWPvw9s').' WHERE '.qi('YOWPvw9s').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Z2wISAZD').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Z2wISAZD').' WHERE '.qi('Z2wISAZD').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) FROM '.qi('campaignTarget').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multiaddListFop_listAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multistatusListFop_listAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function multistatus2ListFop_listAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function pdfZipAccess($ids) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-view ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('dHL279iX').' WHERE '.qi('dHL279iX').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('fbT2x3zb').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('fbT2x3zb').' WHERE '.qi('fbT2x3zb').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('PmLIw5tN').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('PmLIw5tN').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('PmLIw5tN').' WHERE '.qi('PmLIw5tN').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Ffzcl8KY').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Ffzcl8KY').' WHERE '.qi('Ffzcl8KY').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($ids))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function pdfAccess($id, $attachTo = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-item-campaignTarget-view-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('dHL279iX').' WHERE '.qi('dHL279iX').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('fbT2x3zb').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('fbT2x3zb').' WHERE '.qi('fbT2x3zb').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('PmLIw5tN').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('PmLIw5tN').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('PmLIw5tN').' WHERE '.qi('PmLIw5tN').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Ffzcl8KY').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Ffzcl8KY').' WHERE '.qi('Ffzcl8KY').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) FROM '.qi('campaignTarget').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function pdfMultiPdfAccess($ids, $attachTo = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())))) return false;
    // --- BLOCK: access-itemlist-campaignTarget-view ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE(('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT ('.\FOP\Database::quote(\FOP\User::getCampaign()).') FROM '.qi('campaign').' '.qi('dHL279iX').' WHERE '.qi('dHL279iX').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('campaign').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getGruppe()).' THEN TRUE ELSE NOT (('.qi('fbT2x3zb').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('mitglied').' '.qi('fbT2x3zb').' WHERE '.qi('fbT2x3zb').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getMitglied()).' THEN TRUE ELSE NOT ((('.qi('PmLIw5tN').'.'.qi('ID').') <> ('.\FOP\Database::sessionVarSQL('user').')) AND (NOT (EXISTS (SELECT (TRUE) FROM '.qi('gruppeItem').' '.qi('7sncgH3z').' WHERE '.qi('7sncgH3z').'.'.qi('item').' = '.qi('PmLIw5tN').'.'.qi('ID').' AND (EXISTS (SELECT (TRUE) FROM '.qi('gruppeVerantwortlich').' '.qi('eHueOsQC').' WHERE '.qi('eHueOsQC').'.'.qi('gruppe').' = '.qi('7sncgH3z').'.'.qi('list').' AND (('.qi('eHueOsQC').'.'.qi('mitglied').') = ('.\FOP\Database::sessionVarSQL('user').')) LIMIT 1)) LIMIT 1)))) END) FROM '.qi('mitglied').' '.qi('PmLIw5tN').' WHERE '.qi('PmLIw5tN').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)) AND ('.\FOP\Database::quote(\FOP\User::getCampaign()).') AND (COALESCE((SELECT (CASE WHEN '.\FOP\Database::quote(\FOP\User::getSuperadmin()).' THEN TRUE ELSE NOT ('.qi('Ffzcl8KY').'.'.qi('superadmin').') END) FROM '.qi('mitglied').' '.qi('Ffzcl8KY').' WHERE '.qi('Ffzcl8KY').'.'.qi('ID').' = '.qi('campaignTarget').'.'.qi('target').' LIMIT 1), FALSE)), false) THEN 0 ELSE 1 END) FROM '.qi('campaignTarget').' WHERE ' . (new \FOP\IDList($ids))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function campaigntargetUniqueAccess($context, $value, $id) { 
    
    
    // --- BLOCK: access ---
    if(!(((\FOP\User::getCampaign()) && (\FOP\User::getCampaign())) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



